Duplicate a template
curl --request POST \
--url https://api.nateq.io/api/v1/templates/{id}/duplicate \
--header 'Authorization: <api-key>'import requests
url = "https://api.nateq.io/api/v1/templates/{id}/duplicate"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.nateq.io/api/v1/templates/{id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<unknown>",
"message": "<string>"
},
"message": "<string>",
"meta": {
"aiTranslation": "<string>",
"apiKeyUsage": {
"limit": 123,
"unlimited": true,
"used": 123
},
"callCapabilities": {
"aiHandling": "<string>",
"aiHumanTransfer": true,
"analytics": "<string>",
"businessHoursRouting": true,
"enabled": true,
"multiLanguageAi": true,
"queueManagement": true,
"recording": true,
"routing": "<string>"
},
"count": 123,
"dataRetentionCapability": "<string>",
"endCursor": "<string>",
"hasNext": true,
"hasPrevious": true,
"limit": 123,
"page": 123,
"pageSize": 123,
"pendingCount": 123,
"routingCapability": "<string>",
"ssoCapability": "<string>",
"startCursor": "<string>",
"total": 123,
"totalPages": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<unknown>",
"message": "<string>"
},
"message": "<string>",
"meta": {
"aiTranslation": "<string>",
"apiKeyUsage": {
"limit": 123,
"unlimited": true,
"used": 123
},
"callCapabilities": {
"aiHandling": "<string>",
"aiHumanTransfer": true,
"analytics": "<string>",
"businessHoursRouting": true,
"enabled": true,
"multiLanguageAi": true,
"queueManagement": true,
"recording": true,
"routing": "<string>"
},
"count": 123,
"dataRetentionCapability": "<string>",
"endCursor": "<string>",
"hasNext": true,
"hasPrevious": true,
"limit": 123,
"page": 123,
"pageSize": 123,
"pendingCount": 123,
"routingCapability": "<string>",
"ssoCapability": "<string>",
"startCursor": "<string>",
"total": 123,
"totalPages": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<unknown>",
"message": "<string>"
},
"message": "<string>",
"meta": {
"aiTranslation": "<string>",
"apiKeyUsage": {
"limit": 123,
"unlimited": true,
"used": 123
},
"callCapabilities": {
"aiHandling": "<string>",
"aiHumanTransfer": true,
"analytics": "<string>",
"businessHoursRouting": true,
"enabled": true,
"multiLanguageAi": true,
"queueManagement": true,
"recording": true,
"routing": "<string>"
},
"count": 123,
"dataRetentionCapability": "<string>",
"endCursor": "<string>",
"hasNext": true,
"hasPrevious": true,
"limit": 123,
"page": 123,
"pageSize": 123,
"pendingCount": 123,
"routingCapability": "<string>",
"ssoCapability": "<string>",
"startCursor": "<string>",
"total": 123,
"totalPages": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<unknown>",
"message": "<string>"
},
"message": "<string>",
"meta": {
"aiTranslation": "<string>",
"apiKeyUsage": {
"limit": 123,
"unlimited": true,
"used": 123
},
"callCapabilities": {
"aiHandling": "<string>",
"aiHumanTransfer": true,
"analytics": "<string>",
"businessHoursRouting": true,
"enabled": true,
"multiLanguageAi": true,
"queueManagement": true,
"recording": true,
"routing": "<string>"
},
"count": 123,
"dataRetentionCapability": "<string>",
"endCursor": "<string>",
"hasNext": true,
"hasPrevious": true,
"limit": 123,
"page": 123,
"pageSize": 123,
"pendingCount": 123,
"routingCapability": "<string>",
"ssoCapability": "<string>",
"startCursor": "<string>",
"total": 123,
"totalPages": 123
},
"success": true
}Duplicate a template
Creates a copy of an existing template with ” (Copy)” appended to the name and status set to draft
POST
/
templates
/
{id}
/
duplicate
Duplicate a template
Authorizations
Your API key as a Bearer token: Authorization: Bearer tg_live_...
Path Parameters
Template ID
Query Parameters
Template channel (whatsapp, email, facebook, instagram)
Was this page helpful?
⌘I